# $Revision: 1.38 $, $Date: 2010/06/03 11:07:03 $
Summary:	GNOME Spell is GNOME/Bonobo component for spell checking
Summary(pl.UTF-8):	GNOME Spell to element GNOME/Bonobo do kontroli pisowni
Name:		gnome-spell
Version:	1.0.8
Release:	4
License:	GPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/gnome-spell/1.0/%{name}-%{version}.tar.bz2
# Source0-md5:	6ccc46b4e3dc7cb1c6d413358e35d445
BuildRequires:	ORBit2-devel
BuildRequires:	aspell
BuildRequires:	aspell-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	libglade2-devel >= 2.0.1
BuildRequires:	libgnomeui-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Spell is GNOME/Bonobo component for spell checking. In current
version it contains GNOME::Spell::Dictionary object, which provides
spell checking dictionary (see Spell.idl for exact API definition).
It's based on pspell package.

%description -l pl.UTF-8
GNOME Spell to element GNOME/Bonobo do kontroli pisowni. W tej wersji
zawiera obiekt GNOME::Spell::Dictionary, udostępniający słownik do
sprawdzania pisowni (definicja API w Spell.idl). Bazuje na pakiecie
pspell.

%package devel
Summary:	Development resources for gnome-spell
Summary(pl.UTF-8):	Zasoby dla programistów gnome-spell
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development resources for gnome-spell.

%description devel -l pl.UTF-8
Zasoby dla programistów gnome-spell.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	iconsdir=%{_pixmapsdir}

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}
%find_lang %{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}.lang
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/libgnome-spell-component*.*.so
%{_libdir}/bonobo/servers/*
%{_datadir}/%{name}-%{version}
%{_pixmapsdir}/*.png

%files devel
%defattr(644,root,root,755)
%doc README ChangeLog NEWS AUTHORS
%{_libdir}/%{name}/libgnome-spell-component.so
%{_libdir}/%{name}/lib*.la
%{_datadir}/idl/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-spell.spec,v $
Revision 1.38  2010/06/03 11:07:03  baggins
- rel 4

Revision 1.37  2009/11/30 00:46:14  sparky
- BR: aspell, gettext-devel, gnome-common, intltool, pkgconfig

Revision 1.36  2008/11/09 22:01:25  megabajt
- release 3

Revision 1.35  2007/11/04 23:57:02  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.34  2007/10/15 17:11:29  megabajt
- updated to 1.0.8

Revision 1.33  2007/05/21 21:56:03  blues
- rel.3 - pass proper icons location

Revision 1.32  2007/05/20 19:09:04  blues
- rel.2 - add ownerless dirs

Revision 1.31  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.29  2006/03/10 22:41:23  freetz
- 1.0.7

Revision 1.28  2005/02/04 16:01:05  grzegol
- updated to 1.0.6
- removed outdated enable-deprecated and locale-names patches
- remove no locale in %%install

Revision 1.27  2005/01/05 22:43:01  havner
- rel 4 for aspell 0.50 rebuild

Revision 1.26  2004/08/17 14:59:47  ankry
- rel. 3 to rebuild

Revision 1.25  2004/04/07 17:34:30  grzegol
- added locale-names patch (rename locale no -> nb)
- strict internal deps
- rel. 2

Revision 1.24  2004/04/06 06:44:01  trojan
- added enable-deprecated patch (for allow build with gtk2.4)

Revision 1.23  2003/09/18 00:22:38  krzak
- s/pspell/aspell/

Revision 1.22  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.21  2003/08/02 10:18:17  grzegol
- updated to 1.0.5
- added missing dir
- simplified/sorted BRs

Revision 1.20  2003/07/14 10:26:46  grzegol
- updated to 1.0.4
- removed outdated locale patch
- regenerate am/lt

Revision 1.19  2003/05/26 16:25:03  malekith
- massive attack: adding Source-md5

Revision 1.18  2003/05/25 05:48:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/07 14:02:52  aflinta
- version 1.0.3

Revision 1.16  2003/04/16 21:27:14  grzegol
- updated to 1.0.2

Revision 1.15  2003/03/20 20:45:20  aflinta
- updated to version 1.0.1

Revision 1.14  2003/01/18 22:50:07  juandon
- removed two lines with define

Revision 1.13  2003/01/15 14:57:13  qboosh
- updated Source0 URL (NOTE: there is 1.0-pre1 on ftp)

Revision 1.12  2002/08/26 15:58:57  mmazur
- builds; rel1; STBR
- added missing dirs to %files
- %configure2_13 - but this is gnome1 so ac/am regeneration is a waste of
time

Revision 1.11  2002/08/25 11:06:59  marcus
- updated to 0.4.1 (ac/am still need fix)

Revision 1.10  2002/08/11 23:14:44  mmazur
- force to build; rel3; STBR
- use new %%doc

Revision 1.9  2002/04/25 16:27:05  arturs
fixed a small typo

Revision 1.8  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:13:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/29 11:47:27  qboosh
- adapterized, pl translations

Revision 1.5  2001/11/25 11:57:40  qrczak
- s/configure/configure2_13/

Revision 1.4  2001/05/30 07:46:44  kloczek
- release 2.

Revision 1.3  2001/05/30 07:32:55  kloczek
- merge pspell4 MDK patch - now gnome-spell builds correctly.

Revision 1.2  2001/01/25 19:48:38  kloczek
- completly rewrited in PLD coding style.

Based on MDK version.
